/*
 *	Vfloppy image structure
 */

/*
 * UU F1 F2 F3 F4 F5 F6 F7 F8 T1 T2 T3 EX S1 S2 RC   .FILENAMETYP....
 * AL AL AL AL AL AL AL AL AL AL AL AL AL AL AL AL   ................
 */

/* generic directory information, offset from start of image */
#define DIRBASE		0x80
#define DIRINCR		0x20
#define DIRENTRYSIZE	0x20
#define DIRENTRYCOUNT	0x40

#define BLOCKBASE	0x0080
#define BLOCKSIZE	0x0800
#define RECSIZE		0x80
#define RECSPERBLOCK	0x10
#define MAXBLOCKCOUNT	256
 
/* directory entry information, offset from start of dir. entry*/
#define DIRUSERNO	0   	/* UU byte		*/
#define DIRNAMEBASE	1   	/* Fx bytes		*/
#define DIREXTBASE	9	/* Tx bytes		*/
#define DIRNAMESIZE	11  	/* Fx + Tx byte count	*/
#define DIRENTRYNOFIELD	12  	/* EX byte		*/
#define DIREXTCNTHIGH	13	/* S1 byte		*/
#define DIRS2		14	/* S2 byte		*/
#define DIRRECS		15	/* RC byte		*/
/* AL bytes */
#define DIRBLOCKBASE	16  	/* first AL byte	*/
#define DIRBLOCKSIZE	16  	/* AL byte count	*/

#define EXM		0x1f	/* Extend mask		*/
#define FMTPATT		0xe5	/* disk formatting pattern
				   also used to delete directory entry */
